import numpy as np
from sklearn.calibration import calibration_curve
import pandas as pd
import matplotlib.pyplot as plt

cal_data = pd.read_csv('calib_data.csv', sep=',')
print(cal_data)

nb = 3
true_RF, pred_RF = calibration_curve(cal_data["class"], cal_data["RF"], n_bins=nb)
true_LR, pred_LR = calibration_curve(cal_data["class"], cal_data["LR"], n_bins=nb)
true_AUC, pred_AUC = calibration_curve(cal_data["class"], cal_data["AUC"], n_bins=nb)
true_XGB, pred_XGB = calibration_curve(cal_data["class"], cal_data["XGBOOST"], n_bins=nb)

true_class = np.concatenate((true_AUC,true_LR,true_RF,true_XGB), axis=0)
pred_prob  = np.concatenate((pred_AUC,pred_LR,pred_RF,pred_XGB), axis=0)
method = np.concatenate((np.repeat("TIw",3),np.repeat("LR",3),np.repeat("RF",3),np.repeat("XGBoost",3)),axis=0)

d = {'true_class':true_class, 'pred_prob':pred_prob, 'method':method}
df = pd.DataFrame(data=d)
print(df)
df.to_csv('calib_prob.csv',sep=',',index=False)
