## generate plots
library("pROC")
library("ggplot2")
library("gridExtra")
library("ggpubr")
library("caret")

#load models

#LR GLM
load("model_glm_2vars.rdata")
roc_glm = roc_c

#ROC-AUC
load("model_glm_1vars.rdata")
#load("roc_auc_simple_model.rdata")
roc_triang = roc_c
x = as.data.frame(d[,best_vars])
colnames(x) <- best_vars

#RF
load("model_rf_mean_5vars.rdata")
model_rf = out

#XGBoost
load("model_XGB_mean_17vars.RData")
model_xgb = xgb_model

roc_rf = roc(model_rf$pred$obs,model_rf$pred$RBD)
roc_xgb = roc(model_xgb$pred$obs,model_xgb$pred$RBD)

# palette defined here (with black): http://www.cookbook-r.com/Graphs/Colors_(ggplot2)/
#myPalette <- c("#000000", "#E69F00", "#56B4E9", "#009E73", "#F0E442", "#0072B2", "#D55E00", "#CC79A7")
#my_palette = c("#00F055","orange","red","blue")
my_palette = c("#F8766D", "#7CAE00", "#00BFC4", "#C77CFF")


g_roc <- ggroc(list(TIw=roc_triang,LR=roc_glm,RF=roc_rf, XGBoost=roc_xgb),size=1.8,linetype=7) +
	scale_colour_manual(name="method",values = c(TIw=my_palette[1],LR=my_palette[2],RF=my_palette[3],XGBoost=my_palette[4])) +
	theme_linedraw() +
	geom_segment(aes(x = 1, xend = 0, y = 0, yend = 1), color="grey", linetype="dashed") + 
    theme(text = element_text(size=12,colour = "black"),axis.text = element_text(size=12,colour="black"),axis.title=element_text(size=14,colour="black"))

